Package org.eclipse.m2m.atl.emftvm.profiler

## Class StopWatch

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.profiler.StopWatch

    public class StopWatch
    extends java.lang.Object

Stopwatch utility class.

### Constructor Summary

Constructors
`StopWatch()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getDuration()` Returns the measured duration in nanoseconds.
`boolean` `isStarted()` Returns `true` if the stopwatch is started.
`void` `reset()` Resets the stopwatch to "0".
`void` `start()` Starts the stopwatch.
`void` `stop()` Stops the stopwatch.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StopWatch

    public StopWatch()

### Method Detail

#### isStarted

    public boolean isStarted()

Returns `true` if the stopwatch is started.

Returns:
  `true` if the stopwatch is started

#### start

    public void start()

Starts the stopwatch.

#### stop

    public void stop()

Stops the stopwatch.

#### reset

    public void reset()

Resets the stopwatch to "0".

#### getDuration

    public long getDuration()

Returns the measured duration in nanoseconds.

Returns:
  the measured duration in nanoseconds

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`